#ifndef PAMG4_RUN_CONFIGURATION_H
#define PAMG4_RUN_CONFIGURATION_H

#include <TG4RunConfiguration.h>


class PamG4RunConfiguration : public TG4RunConfiguration
{
  public:
    PamG4RunConfiguration(const TString& userGeometry = "geomRoot",
			  const TString& physicsList = "QGSP_BIC_HP",
                          const TString& specialProcess = "stepLimiter");
    virtual ~PamG4RunConfiguration();

    // methods
    virtual TG4VUserRegionConstruction*  CreateUserRegionConstruction();
    
    ClassDef(PamG4RunConfiguration,1)
};  

#endif //PAMG4_RUN_CONFIGURATION_H

